[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'eventlog' (#fcl)

# TEventLog.Debug

Log a debug message

## Declaration

Source position: line 0

`public procedure TEventLog.Debug(`
`const Msg: string`
`); overload; procedure TEventLog.Debug(`
`const Fmt: string;`
`Args: array of Const`
`); overload;`

## Arguments

`Msg` |  | Complete debug message

## Arguments

`Fmt` |  | Formatting string for Args
`Args` |  | Arguments to format message with

## Description

Debug is a utility function which logs a message with the etDebug type. The message is either the parameter Msg as is, or is formatted from the Fmt and Args parameters.

## See also

Log |  | Log a message to the system log.
Info |  | Log an informational message
Warning |  | Log a warning message.
Error |  | Log an error message to

Documentation generated on: Feb 26 2014